author : Xanetia
date: 02/02/2022 

 I agree with your friend...also, you're cool, despite having a zero (sad that you added a lower bound) on the looks scale, so you might have to work on your formula....